#container {
    display: grid;
    grid-template-columns: 500px 1fr 250px;
    height: 100vh;
    width: fit-content;
    padding-left: 2vw;
    padding-right: 2vw;
    column-gap: 2vw;
    box-sizing: border-box;
    grid-template-areas:
        "left center right-top"
        "left center right-bottom"
}

@media screen and (max-width: 840px) {
    body{
        font-size: large;
    }

    #container {
        grid-template-columns: 1fr !important;
        grid-template-areas: 
                "_ _ right-top"
                "center center center"
                "right-bottom right-bottom right-bottom"
                "left left left" !important;
        row-gap: 2vh;
    }

    #tilingContainer, #themeContainer, #svgContainer, #infoContainer {
     margin: 0 !important;
    }
}

body {
    margin: 0;
    padding: 0;
    background-color: #EEEEEE;
}

#tilingContainer {
    grid-area: left;
    width: auto;
    height: auto;
    padding: 20px;
    background: white;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    margin-top: 50px;
    margin-bottom: 50px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 10px;
    row-gap: 5px;
}

#themeContainer {
    grid-area: right-bottom;
    width: auto;
    height: fit-content;
    padding:20px;
    margin-bottom: 50px;
    background :white;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
}

#infoContainer {
    grid-area: right-top;
    width: auto;
    height: fit-content;
    padding: 10px;
    margin-top: 50px;
    background: white;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    display: flex;
    justify-content: space-around;
    gap: 10px;
}

#svgContainer {
    grid-area: center;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin: 0;
    width: fit-content;
}

#tilingDownload {
    display: none;
}

.theme {
    display: block;
    margin: 10px 0;
}

.tiling {
    width: fit-content;
}

.icon {
    filter: invert(14%) sepia(17%) saturate(7438%) hue-rotate(270deg) brightness(94%) contrast(99%);
    cursor: pointer;
}

.icon:hover{
    filter: invert(17%) sepia(71%) saturate(3517%) hue-rotate(276deg) brightness(86%) contrast(113%);
}

.customColor {
    display: inline-block;
    margin-right: 10px;
}